# Apply Collection Account

### Apply Collection Account

Merchants initiate virtual account(VA) opening applications and wait for Pagsmile review. Merchants can query specific virtual account information through the  virtual account query interface.

### **Request** URL <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/remittance/collection/apply-va`

### **Request Body**

&#x20;**Refer to :** [**common**](/remittance-api/common.md)

&#x20;**Biz\_data**&#x20;

<table><thead><tr><th width="247.4921875">Name</th><th width="121.8515625">Type</th><th>Description</th></tr></thead><tbody><tr><td>merchant_id<mark style="color:red;">*</mark></td><td>long</td><td>Merchant Id</td></tr><tr><td>apply_no<mark style="color:red;">*</mark></td><td>string(32)</td><td>Apply Number</td></tr><tr><td>business_type<mark style="color:red;">*</mark></td><td>Integer</td><td>Business Type</td></tr><tr><td>payment_type<mark style="color:red;">*</mark></td><td>Integer</td><td>Payment type <code>1-swift 2-local</code></td></tr><tr><td>currency<mark style="color:red;">*</mark></td><td>string</td><td>Currency</td></tr><tr><td>bank_id<mark style="color:red;">*</mark></td><td>long</td><td><p>Bank ID</p><p>Refer to <a href="https://docs.pagsmile.com/remittance-api/business/reference/query-bank-list">Query bank list</a></p></td></tr><tr><td>account_label</td><td>string</td><td>Account Alias</td></tr></tbody></table>

{% hint style="info" %}

{% endhint %}

### Response <a href="#example" id="example"></a>

{% tabs %}
{% tab title="200:submit successfully" %}

```
{
    "code": "10000",
    "msg": "Success",
    "data":{},
    "random_key":"abssdddd2wdw==",
    "sign_type": "RSA",
    "app_id": "2017051914172236111"
}
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}

| Name                                           | Type        | Description                                                                                                 |
| ---------------------------------------------- | ----------- | ----------------------------------------------------------------------------------------------------------- |
| merchant\_id<mark style="color:red;">\*</mark> | long        | Merchant Id                                                                                                 |
| apply\_no<mark style="color:red;">\*</mark>    | string      | Apply Number                                                                                                |
| collection\_account\_ids                       | list\<long> | Collection Account IDs                                                                                      |
| status                                         | integer     | <p>Status</p><p><code>1-reviewing</code> </p><p><code>2-approved</code> </p><p><code>11-rejected</code></p> |
| created\_at                                    | string      | created at                                                                                                  |

### Example <a href="#example" id="example"></a>

```

curl --location --request POST 'https://rem-api-sandbox.pagsmile.com/remittance/collection/apply-va' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "partner_id": "000000000000001",
    "app_id": "162051914172236138",
    "timestamp": "2011-09-23 04:24:03",
    "format": "JSON",
    "version": "2.0",
    "random_key": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE",
    "request_id": "F6bEd39c-EecF-C1a2-AFcb-bA9BAeC8",
    "sign_type": "RSA",
    "biz_data": "jJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElEjJT3+PR9CSowcR2QOK5OzMjVmTSjGoectzYbO8lENHnboElE"
}'
```

```
```

Note: **162\*\*\*\*\*\*\*\*\*\*\*\*38** is pagsmile's test app id for sandbox

Please use your own **app\_id** when testing.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagsmile.com/remittance-api/business/collection/apply-collection-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
